DistGeom::DistViolationContrib Class Reference

`#include <DistViolationContrib.h>`

Inheritance diagram for DistGeom::DistViolationContrib:

## Public Member Functions

| DistViolationContrib ()
| DistViolationContrib (ForceFields::ForceField *owner, unsigned int idx1, unsigned int idx2, double ub, double lb, double weight=1.0)
| Constructor. More...
double | getEnergy (double *pos) const
| returns our contribution to the energy of a position More...
void | getGrad (double *pos, double *grad) const
| calculates our contribution to the gradients of a position More...
virtual DistViolationContrib * | copy () const
| return a copy More...
Public Member Functions inherited from ForceFields::ForceFieldContrib
| ForceFieldContrib ()
virtual | ~ForceFieldContrib ()

## Additional Inherited Members

Protected Attributes inherited from ForceFields::ForceFieldContrib
ForceField * | dp_forceField
| our owning ForceField More...

## Detailed Description

A term to capture the violation of the upper and lower bounds by distance between two points

Definition at line 18 of file DistViolationContrib.h.

## Constructor & Destructor Documentation

DistGeom::DistViolationContrib::DistViolationContrib | ( |  | ) |

inline

Definition at line 20 of file DistViolationContrib.h.

Referenced by copy().

DistGeom::DistViolationContrib::DistViolationContrib | ( | ForceFields::ForceField * | owner,
|  | unsigned int | idx1,
|  | unsigned int | idx2,
|  | double | ub,
|  | double | lb,
|  | double | weight = `1.0`
| ) |  |

Constructor.

Parameters

  owner | pointer to the owning ForceField
  idx1 | index of end1 in the ForceField's positions
  idx2 | index of end2 in the ForceField's positions
  ub | Upper bound on the distance
  lb | Lower bound on the distance
  weight | optional weight for this contribution

## Member Function Documentation

virtual DistViolationContrib* DistGeom::DistViolationContrib::copy | ( |  | ) | const

inline virtual

return a copy

Implements ForceFields::ForceFieldContrib.

Definition at line 37 of file DistViolationContrib.h.

References DistViolationContrib().

double DistGeom::DistViolationContrib::getEnergy | ( | double * | pos | ) | const

virtual

returns our contribution to the energy of a position

Implements ForceFields::ForceFieldContrib.

void DistGeom::DistViolationContrib::getGrad | ( | double * | pos,
|  | double * | grad
| ) |  | const

virtual

calculates our contribution to the gradients of a position

Implements ForceFields::ForceFieldContrib.

The documentation for this class was generated from the following file:

- DistViolationContrib.h